CreateColumnFamilyStatement (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.cql

## Class CreateColumnFamilyStatement

- java.lang.Object
- - org.apache.cassandra.cql.CreateColumnFamilyStatement

-     public class CreateColumnFamilyStatement
      extends java.lang.Object

  A `CREATE COLUMNFAMILY` parsed from a CQL query statement.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreateColumnFamilyStatement(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addColumn(Term term, java.lang.String comparator)` Map a column name to a validator for its value
    `void` | `addProperty(java.lang.String name, java.lang.String value)` Map a keyword to the corresponding value
    `CFMetaData` | `getCFMetaData(java.lang.String keyspace, java.util.List<java.nio.ByteBuffer> variables)` Returns a CFMetaData instance based on the parameters parsed from this `CREATE` statement, or defaults where applicable.
    `java.util.Map<Term,java.lang.String>` | `getColumns()`
    `java.lang.String` | `getKeyType()`
    `java.lang.String` | `getName()` Name of the column family to create
    `void` | `setKeyAlias(java.lang.String alias)`
    `void` | `setKeyType(java.lang.String validator)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CreateColumnFamilyStatement

          public CreateColumnFamilyStatement(java.lang.String name)

  - ### Method Detail

    - #### addColumn

          public void addColumn(Term term,
                       java.lang.String comparator)

      Map a column name to a validator for its value

    - #### setKeyType

          public void setKeyType(java.lang.String validator)

    - #### getKeyType

          public java.lang.String getKeyType()

    - #### setKeyAlias

          public void setKeyAlias(java.lang.String alias)

    - #### addProperty

          public void addProperty(java.lang.String name,
                         java.lang.String value)

      Map a keyword to the corresponding value

    - #### getName

          public java.lang.String getName()

      Name of the column family to create

    - #### getCFMetaData

          public CFMetaData getCFMetaData(java.lang.String keyspace,
                                 java.util.List<java.nio.ByteBuffer> variables)
                                   throws InvalidRequestException

      Returns a CFMetaData instance based on the parameters parsed from this `CREATE` statement, or defaults where applicable.
      Parameters:
        `keyspace` - keyspace to apply this column family to
      Returns:
        a CFMetaData instance corresponding to the values parsed from this statement
      Throws:
        `InvalidRequestException` - on failure to validate parsed parameters

    - #### getColumns

          public java.util.Map<Term,java.lang.String> getColumns()

Copyright © 2014 The Apache Software Foundation